tbb::internal::partition_type_base Class Reference

Provides backward-compatible methods for partition objects without affinity. More...

`#include <partitioner.h>`

Inheritance diagram for tbb::internal::partition_type_base:
Collaboration diagram for tbb::internal::partition_type_base:

## Public Member Functions

void | set_affinity (task &)
void | note_affinity (task::affinity_id)
task * | continue_after_execute_range ()
bool | decide_whether_to_delay ()
void | spawn_or_delay (bool, task &b)

## Detailed Description

Provides backward-compatible methods for partition objects without affinity.

Definition at line 98 of file partitioner.h.

## Member Function Documentation

## continue_after_execute_range()

task* tbb::internal::partition_type_base::continue_after_execute_range | ( |  | ) |

inline

Definition at line 102 of file partitioner.h.

{return NULL;}

## decide_whether_to_delay()

bool tbb::internal::partition_type_base::decide_whether_to_delay | ( |  | ) |

inline

Definition at line 103 of file partitioner.h.

{return false;}

## note_affinity()

void tbb::internal::partition_type_base::note_affinity | ( | task::affinity_id |  | ) |

inline

Definition at line 101 of file partitioner.h.

{}

## set_affinity()

void tbb::internal::partition_type_base::set_affinity | ( | task & |  | ) |

inline

Definition at line 100 of file partitioner.h.

{}

## spawn_or_delay()

void tbb::internal::partition_type_base::spawn_or_delay | ( | bool | ,
|  | task & | b
| ) |  |

inline

Definition at line 104 of file partitioner.h.

{
task::spawn(b);
}

The documentation for this class was generated from the following file:

- partitioner.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.